Warning: file_exists(): open_basedir restriction in effect. File(/srv/http/vhosts/aur.archlinux.org/public/web/locale//en/LC_MESSAGES/aurweb.mo) is not within the allowed path(s): (/srv/http/vhosts/aur-dev.archlinux.org/:/etc/aurweb/) in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/streams.php on line 90
AUR (en) - strongswan

Notice: Undefined variable: name in /srv/http/vhosts/aur-dev.archlinux.org/public/web/lib/pkgfuncs.inc.php on line 248

Package Details: strongswan 5.5.1-5

Git Clone URL: https://aur-dev.archlinux.org/strongswan.git (read-only)
Package Base: strongswan
Description: open source IPsec implementation
Upstream URL: http://www.strongswan.org
Keywords: IPsec strongswan
Licenses: GPL
Conflicts: openswan
Submitter: jayray
Maintainer: Thermi
Last Packager: Thermi
Votes: 99
Popularity: 2.646251
First Submitted: 2007-04-22 16:41
Last Updated: 2017-02-04 18:22

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 ... Next › Last »

mnlipp commented on 2016-02-03 13:55

I just tried to build the package and got:

configure: WARNING: unrecognized options: --enable-capabilities

According to configure the proper option is "--with-capabilities=libcap". Changing the PKGBUILD accordingly makes configuration work.

Thermi commented on 2016-01-20 12:12

I just added libsystemd and libcap as depends and enabled capability dropping with libcap. I did not bump PKGREL, because there's no newer version or fix. If you intend to use libcap with an existing release, reload the PKGBUILD and build the package from it.

Anonymous comment on 2016-01-20 08:00

Requires a (make)depends on systemd in order to build in a clean chroot. Remember, only packages in base-devel don't get listed as dependencies.

mikejuni commented on 2016-01-20 06:11

I"m oppose to the idea of adding --enable-nm because it includes a lot of dependencies that are not desired for a server environment.

Making it a separate package should be better.

mikejuni commented on 2016-01-14 08:48

Can --enable-capabilities=libcap added to allow dropping of root after startup, making it more secure?

ava1ar commented on 2015-12-25 02:26

Can you add --enable-nm flag to add support of network manager? Thanks!

Torxed commented on 2015-12-22 09:51

As I thought, this is probably a OpenSSL issue. Tried generating manual certificates after installing strongswan and i'm getting the same issue when doing the `openssl pkcs12 -export ..." routine.

Torxed commented on 2015-12-22 09:27

Running ./configure and make manually works just fine with the configure parameters from PKGBUILD supplioed here. And make / make install works flawlessly as well if manually downloaded. The Hash is correct so i'm not sure what's wrong here.


==> Making package: strongswan 5.3.5-1 (Tue Dec 22 10:26:16 CET 2015)
==> Retrieving sources...
-> Found strongswan-5.3.5.tar.bz2
==> Validating source files with sha256sums...
strongswan-5.3.5.tar.bz2 ... 139632757376664:error:0E065068:configuration file routines:STR_COPY:variable has no value:conf_def.c:584:line 167
FAILED
==> ERROR: One or more files did not pass the validity check!
:: failed to verify strongswan integrity

Thermi commented on 2015-12-12 22:38

Yes, that was there for some reason. I just removed it.

oneup commented on 2015-12-12 22:36

It's already enabled in the package (commit 8a9db90472246c4e6c795726b1b49b1db7b3cfb0), hence why configure failed.